Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232942 - numlock/capslock/scrolllock LEDs don't work in 2.6.20 kernel
Summary: numlock/capslock/scrolllock LEDs don't work in 2.6.20 kernel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 15:46 UTC by David Mueller
Modified: 2008-05-06 19:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:22:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Linux Kernel 7968 None None None Never

Description David Mueller 2007-03-19 15:46:11 UTC
Description of problem:

With the most recent kernel update (2.6.20-1.2300.fc5smp), the numlock and
capslock lights on my keyboard don't work.  The keys do work, just the lights
don't appear.  Keyboard is a Microsoft Comfort Curve 2000, connected via USB to
a ThinkPad X60.

The capslock light on the laptop itself does work when I press either the
capslock key on either the built-in or external keyboard, as does numlock when I
use the laptop's built in keyboard.

If I reboot to the previous kernel (2.6.19-1.2288.2.4.fc5smp) the lights work
normally.


Version-Release number of selected component (if applicable):

$ uname -r
2.6.20-1.2300.fc5smp

Steps to Reproduce:
1. Boot 2.6.20-1.2300.fc5smp
2. Press numlock and capslock
  
Actual results:

Numlock, capslock, scrollock lights on keyboard don't illuminate.  Type in a
text editor to confirm the keys do work.

Expected results:

Numlock, capslock, scrollock lights on keyboard illuminate.

Additional info:

It looks like this bug has been reported upstream, but there doesn't appear to
have been any activity there for almost a month:

http://bugzilla.kernel.org/show_bug.cgi?id=7968

It looks like Ubuntu users are seeing the same problem with 2.6.20 kernels:

https://launchpad.net/ubuntu/+source/meta-gnome2/+bug/88628

Comment 1 Bug Zapper 2008-04-04 06:35:34 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2008-05-06 19:22:55 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.